argagg: argagg::fmt_ostream Struct Reference

argagg

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
argagg::fmt_ostream Struct Reference

A convenience output stream that will accumulate what is streamed to it and then, on destruction, format the accumulated string (via the argagg::fmt_string() function) to the provided std::ostream. More...

`#include <argagg.hpp>`

Inheritance diagram for argagg::fmt_ostream:

## Public Member Functions
| fmt_ostream (std::ostream &output)
| Construct to output to the provided output stream when this object is destroyed.
| ~fmt_ostream ()
| Special destructor that will format the accumulated string using fmt (via the argagg::fmt_string() function) and stream it to the std::ostream stored.
Public Member Functions inherited from std::ostringstream
T | seekp (T... args)
T | setstate (T... args)
T | getloc (T... args)
T | precision (T... args)
T | flags (T... args)
T | str (T... args)
T | widen (T... args)
T | fill (T... args)
T | setf (T... args)
T | good (T... args)
T | copyfmt (T... args)
T | tellp (T... args)
T | sync_with_stdio (T... args)
T | ostringstream (T... args)
T | xalloc (T... args)
T | exceptions (T... args)
T | iword (T... args)
T | operator<< (T... args)
T | narrow (T... args)
T | operator bool (T... args)
T | operator! (T... args)
T | write (T... args)
T | unsetf (T... args)
T | width (T... args)
T | rdstate (T... args)
T | tie (T... args)
T | move (T... args)
T | eof (T... args)
T | register_callback (T... args)
T | pword (T... args)
T | flush (T... args)
T | set_rdbuf (T... args)
T | fail (T... args)
T | operator= (T... args)
T | swap (T... args)
T | rdbuf (T... args)
T | imbue (T... args)
T | bad (T... args)
T | clear (T... args)
T | put (T... args)
T | init (T... args)
Public Member Functions inherited from std::basic_ostringstream< Char >
T | seekp (T... args)
T | setstate (T... args)
T | getloc (T... args)
T | precision (T... args)
T | flags (T... args)
T | str (T... args)
T | widen (T... args)
T | fill (T... args)
T | setf (T... args)
T | good (T... args)
T | copyfmt (T... args)
T | tellp (T... args)
T | sync_with_stdio (T... args)
T | xalloc (T... args)
T | exceptions (T... args)
T | iword (T... args)
T | operator<< (T... args)
T | narrow (T... args)
T | operator bool (T... args)
T | operator! (T... args)
T | write (T... args)
T | unsetf (T... args)
T | width (T... args)
T | rdstate (T... args)
T | tie (T... args)
T | move (T... args)
T | eof (T... args)
T | register_callback (T... args)
T | pword (T... args)
T | flush (T... args)
T | set_rdbuf (T... args)
T | fail (T... args)
T | operator= (T... args)
T | swap (T... args)
T | rdbuf (T... args)
T | imbue (T... args)
T | basic_ostringstream (T... args)
T | bad (T... args)
T | clear (T... args)
T | put (T... args)
T | init (T... args)
Public Member Functions inherited from std::basic_ostream< Char >
T | seekp (T... args)
T | setstate (T... args)
T | getloc (T... args)
T | precision (T... args)
T | flags (T... args)
T | widen (T... args)
T | fill (T... args)
T | setf (T... args)
T | operator bool (T... args)
T | copyfmt (T... args)
T | tellp (T... args)
T | sync_with_stdio (T... args)
T | xalloc (T... args)
T | exceptions (T... args)
T | iword (T... args)
T | rdbuf (T... args)
T | operator<< (T... args)
T | narrow (T... args)
T | good (T... args)
T | operator! (T... args)
T | write (T... args)
T | unsetf (T... args)
T | width (T... args)
T | rdstate (T... args)
T | tie (T... args)
T | move (T... args)
T | eof (T... args)
T | register_callback (T... args)
T | pword (T... args)
T | swap (T... args)
T | flush (T... args)
T | set_rdbuf (T... args)
T | fail (T... args)
T | basic_ostream (T... args)
T | ~basic_ostream (T... args)
T | imbue (T... args)
T | bad (T... args)
T | clear (T... args)
T | put (T... args)
T | init (T... args)
Public Member Functions inherited from std::basic_ios< Char >
T | setf (T... args)
T | getloc (T... args)
T | precision (T... args)
T | imbue (T... args)
T | flags (T... args)
T | operator! (T... args)
T | widen (T... args)
T | width (T... args)
T | narrow (T... args)
T | basic_ios (T... args)
T | unsetf (T... args)
T | ~basic_ios (T... args)
T | rdstate (T... args)
T | operator bool (T... args)
T | setstate (T... args)
T | tie (T... args)
T | eof (T... args)
T | register_callback (T... args)
T | pword (T... args)
T | good (T... args)
T | copyfmt (T... args)
T | set_rdbuf (T... args)
T | sync_with_stdio (T... args)
T | move (T... args)
T | rdbuf (T... args)
T | fail (T... args)
T | fill (T... args)
T | swap (T... args)
T | xalloc (T... args)
T | bad (T... args)
T | clear (T... args)
T | exceptions (T... args)
T | iword (T... args)
T | init (T... args)
Public Member Functions inherited from std::ios_base
T | register_callback (T... args)
T | pword (T... args)
T | unsetf (T... args)
T | getloc (T... args)
T | sync_with_stdio (T... args)
T | precision (T... args)
T | xalloc (T... args)
T | flags (T... args)
T | setf (T... args)
T | imbue (T... args)
T | width (T... args)
T | ios_base (T... args)
T | ~ios_base (T... args)
T | iword (T... args)

## Public Attributes
std::ostream & | output
| Reference to the final output stream that the formatted string will be streamed to.

## Detailed Description

A convenience output stream that will accumulate what is streamed to it and then, on destruction, format the accumulated string (via the argagg::fmt_string() function) to the provided std::ostream.

Example use:

{
argagg::fmt_ostream f(std::cerr);
f << "Usage: " << really_long_string << '\n';
} // on destruction here the formatted string will be streamed to std::cerr
std::cerr
argagg::fmt_ostream
A convenience output stream that will accumulate what is streamed to it and then, on destruction,...
Definition argagg.hpp:683

Definition at line 683 of file argagg.hpp.

## Constructor & Destructor Documentation

## ◆ fmt_ostream()

argagg::fmt_ostream::fmt_ostream | ( | std::ostream & | output | ) |
| inline

Construct to output to the provided output stream when this object is destroyed.

Definition at line 1576 of file argagg.hpp.

## ◆ ~fmt_ostream()

argagg::fmt_ostream::~fmt_ostream | ( |  | ) |
| inline

Special destructor that will format the accumulated string using fmt (via the argagg::fmt_string() function) and stream it to the std::ostream stored.

Definition at line 1583 of file argagg.hpp.

## Member Data Documentation

## ◆ output

std::ostream& argagg::fmt_ostream::output

Reference to the final output stream that the formatted string will be streamed to.

Definition at line 690 of file argagg.hpp.

The documentation for this struct was generated from the following file:

- /tmp/pkg/src/argagg-0.4.7/include/argagg/argagg.hpp